ECHO +====================================================================+
ECHO + Build ReDMCSB executable files for PC-98                           +
ECHO +====================================================================+
ECHO +====================================================================+>>\BUILD\MKIP.LOG
ECHO + Build ReDMCSB executable files for PC-98                           +>>\BUILD\MKIP.LOG
ECHO +====================================================================+>>\BUILD\MKIP.LOG
CD \SOURCE

SET PATH=\TC20;\TASM101;\LZEXE91

ECHO ----------------------------------------------------------------------
ECHO - Prepare shared components
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Prepare shared components>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P20JA Assemble C0L.OBJ
ECHO ----- P20JA Assemble C0L.OBJ>>\BUILD\MKIP.LOG
COPY \TC20\EMUVARS.ASI EMUVARS.ASI >>\BUILD\MKIP.LOG
COPY \TC20\RULES.ASI RULES.ASI >>\BUILD\MKIP.LOG
TASM.EXE /d__LARGE__ /d__NOCLOCK__ /mx C0_20c_A.ASM,\OBJECT\P20JA\NEC8.EXE\C0L.OBJ >>\BUILD\MKIP.LOG
ECHO ----- P20JB Assemble C0L.OBJ
ECHO ----- P20JB Assemble C0L.OBJ>>\BUILD\MKIP.LOG
COPY \TC20\EMUVARS.ASI EMUVARS.ASI >>\BUILD\MKIP.LOG
COPY \TC20\RULES.ASI RULES.ASI >>\BUILD\MKIP.LOG
TASM.EXE /d__LARGE__ /d__NOFLOAT__ /d__NOCLOCK__ /mx C0_20c_B.ASM,\OBJECT\P20JB\FIRES\C0L.OBJ >>\BUILD\MKIP.LOG

IF NOT EXIST \SOURCE\EXEID90.TXT GOTO EXEID89
ECHO ----------------------------------------------------------------------
ECHO - Build executable P20JA\NEC8.EXE
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P20JA\NEC8.EXE>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P20JA\NEC8.EXE Compile NEC816.C
ECHO ----- P20JA\NEC8.EXE Compile NEC816.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=90 -n\OBJECT\P20JA\NEC8.EXE NEC816.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G    -DEXEID=90 -n\OBJECT\P20JA\NEC8.EXE NEC816.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\NEC8.EXE Link
ECHO ----- P20JA\NEC8.EXE Link>>\BUILD\MKIP.LOG
CD \OBJECT\P20JA\NEC8.EXE
TLINK.EXE /s \OBJECT\P20JA\NEC8.EXE\C0L.OBJ NEC816.OBJ \TC20\LIB\CL.LIB,\BUILD\P20JA\NEC8.EXE,\BUILD\P20JA\NEC8.MAP >>\BUILD\MKIP.LOG
CD \SOURCE

:EXEID89
IF NOT EXIST \SOURCE\EXEID89.TXT GOTO EXEID91
ECHO ----------------------------------------------------------------------
ECHO - Build executable P20JA\NEC16.EXE
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P20JA\NEC16.EXE>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P20JA\NEC16.EXE Compile NEC816.C
ECHO ----- P20JA\NEC16.EXE Compile NEC816.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=89 -n\OBJECT\P20JA\NEC16.EXE NEC816.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G    -DEXEID=89 -n\OBJECT\P20JA\NEC16.EXE NEC816.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\NEC16.EXE Link
ECHO ----- P20JA\NEC16.EXE Link>>\BUILD\MKIP.LOG
CD \OBJECT\P20JA\NEC16.EXE
TLINK.EXE /s \OBJECT\P20JA\NEC8.EXE\C0L.OBJ NEC816.OBJ \TC20\LIB\CL.LIB,\BUILD\P20JA\NEC16.EXE,\BUILD\P20JA\NEC16.MAP >>\BUILD\MKIP.LOG
CD \SOURCE

:EXEID91
IF NOT EXIST \SOURCE\EXEID91.TXT GOTO EXEID88
ECHO ----------------------------------------------------------------------
ECHO - Build executable P20JA\NECIO.EXE
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P20JA\NECIO.EXE>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P20JA\NECIO.EXE Assemble NECIOASM.ASM
ECHO ----- P20JA\NECIO.EXE Assemble NECIOASM.ASM>>\BUILD\MKIP.LOG
TASM.EXE -DEXEID=91 NECIOASM.ASM,\OBJECT\P20JA\NECIO.EXE\NECIOASM.OBJ >>\BUILD\MKIP.LOG
ECHO ----- P20JA\NECIO.EXE Compile NECIO.C
ECHO ----- P20JA\NECIO.EXE Compile NECIO.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=91 -n\OBJECT\P20JA\NECIO.EXE NECIO.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G    -DEXEID=91 -n\OBJECT\P20JA\NECIO.EXE NECIO.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\NECIO.EXE Link
ECHO ----- P20JA\NECIO.EXE Link>>\BUILD\MKIP.LOG
CD \OBJECT\P20JA\NECIO.EXE
TLINK.EXE /s \OBJECT\P20JA\NEC8.EXE\C0L.OBJ NECIO.OBJ NECIOASM.OBJ \TC20\LIB\CL.LIB,\BUILD\P20JA\NECIO.EXE,\BUILD\P20JA\NECIO.MAP >>\BUILD\MKIP.LOG
CD \SOURCE

:EXEID88
IF NOT EXIST \SOURCE\EXEID88.TXT GOTO EXEID93
ECHO ----------------------------------------------------------------------
ECHO - Build executable P20JA\FIRES.EXE
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P20JA\FIRES.EXE>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile PROJEXPL.C
ECHO ----- P20JA\FIRES Compile PROJEXPL.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE PROJEXPL.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE PROJEXPL.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile DIALOG.C
ECHO ----- P20JA\FIRES Compile DIALOG.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE DIALOG.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE DIALOG.C   >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile DUNGEON.C
ECHO ----- P20JA\FIRES Compile DUNGEON.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE DUNGEON.C  >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE DUNGEON.C  >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile MENUDRAW.C
ECHO ----- P20JA\FIRES Compile MENUDRAW.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE MENUDRAW.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE MENUDRAW.C   >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile GAMELOOP.C
ECHO ----- P20JA\FIRES Compile GAMELOOP.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE GAMELOOP.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE GAMELOOP.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile ENDGAME.C
ECHO ----- P20JA\FIRES Compile ENDGAME.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE ENDGAME.C  >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE ENDGAME.C  >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile COMMAND.C
ECHO ----- P20JA\FIRES Compile COMMAND.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE COMMAND.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE COMMAND.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile GROUP.C
ECHO ----- P20JA\FIRES Compile GROUP.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE GROUP.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE GROUP.C    >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile MEMORY.C
ECHO ----- P20JA\FIRES Compile MEMORY.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE MEMORY.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE MEMORY.C   >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile LOADSAVE.C
ECHO ----- P20JA\FIRES Compile LOADSAVE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE LOADSAVE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE LOADSAVE.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile OBJECT.C
ECHO ----- P20JA\FIRES Compile OBJECT.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE OBJECT.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE OBJECT.C   >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile ENTRANCE.C
ECHO ----- P20JA\FIRES Compile ENTRANCE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE ENTRANCE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE ENTRANCE.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile MENU.C
ECHO ----- P20JA\FIRES Compile MENU.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE MENU.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE MENU.C   >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile CHAMPION.C
ECHO ----- P20JA\FIRES Compile CHAMPION.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE CHAMPION.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE CHAMPION.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile DUNVIEW.C
ECHO ----- P20JA\FIRES Compile DUNVIEW.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE DUNVIEW.C  >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE DUNVIEW.C  >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile CHAMDRAW.C
ECHO ----- P20JA\FIRES Compile CHAMDRAW.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE CHAMDRAW.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE CHAMDRAW.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile REVIVE.C
ECHO ----- P20JA\FIRES Compile REVIVE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE REVIVE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE REVIVE.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile MOVESENS.C
ECHO ----- P20JA\FIRES Compile MOVESENS.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE MOVESENS.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE MOVESENS.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile COORD.C
ECHO ----- P20JA\FIRES Compile COORD.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE COORD.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE COORD.C    >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile SOUND.C
ECHO ----- P20JA\FIRES Compile SOUND.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE SOUND.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE SOUND.C    >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile STARTUP2.C
ECHO ----- P20JA\FIRES Compile STARTUP2.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE STARTUP2.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE STARTUP2.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile DATA.C
ECHO ----- P20JA\FIRES Compile DATA.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE DATA.C     >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE DATA.C     >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile FLOPPY.C
ECHO ----- P20JA\FIRES Compile FLOPPY.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE FLOPPY.C  >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE FLOPPY.C  >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile TEXT.C
ECHO ----- P20JA\FIRES Compile TEXT.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE TEXT.C     >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE TEXT.C     >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile TIMELINE.C
ECHO ----- P20JA\FIRES Compile TIMELINE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE TIMELINE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE TIMELINE.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile BASE.C
ECHO ----- P20JA\FIRES Compile BASE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE BASE.C     >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE BASE.C     >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile PANEL.C
ECHO ----- P20JA\FIRES Compile PANEL.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE PANEL.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE PANEL.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile CLIKVIEW.C
ECHO ----- P20JA\FIRES Compile CLIKVIEW.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE CLIKVIEW.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE CLIKVIEW.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile CLIKMENU.C
ECHO ----- P20JA\FIRES Compile CLIKMENU.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE CLIKMENU.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE CLIKMENU.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile STRING.C
ECHO ----- P20JA\FIRES Compile STRING.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE STRING.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE STRING.C   >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile IMAGE.C
ECHO ----- P20JA\FIRES Compile IMAGE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE IMAGE.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE IMAGE.C    >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile IO.C
ECHO ----- P20JA\FIRES Compile IO.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE IO.C       >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE IO.C       >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile BLTSHRNK.C
ECHO ----- P20JA\FIRES Compile BLTSHRNK.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE BLTSHRNK.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE BLTSHRNK.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile BLITMASK.C
ECHO ----- P20JA\FIRES Compile BLITMASK.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE BLITMASK.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE BLITMASK.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile BLITFILL.C
ECHO ----- P20JA\FIRES Compile BLITFILL.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE BLITFILL.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE BLITFILL.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES Compile JAPANESE.C
ECHO ----- P20JA\FIRES Compile JAPANESE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE JAPANESE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=88 -n\OBJECT\P20JA\FIRES.EXE JAPANESE.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\FIRES.EXE Link
ECHO ----- P20JA\FIRES.EXE Link>>\BUILD\MKIP.LOG
CD \OBJECT\P20JA\FIRES.EXE
TLINK.EXE /s \OBJECT\P20JA\NEC8.EXE\C0L.OBJ @\SOURCE\P20JA.LNK \TC20\LIB\CL.LIB,\BUILD\P20JA\FIRES.EXE,\BUILD\P20JA\FIRES.MAP >>\BUILD\MKIP.LOG
CD \SOURCE

:EXEID93
IF NOT EXIST \SOURCE\EXEID93.TXT GOTO CSLIB
ECHO ----------------------------------------------------------------------
ECHO - Build executable P20JB\FIRES
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P20JB\FIRES>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile PROJEXPL.C
ECHO ----- P20JB\FIRES Compile PROJEXPL.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES PROJEXPL.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES PROJEXPL.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile DIALOG.C
ECHO ----- P20JB\FIRES Compile DIALOG.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES DIALOG.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES DIALOG.C   >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile DUNGEON.C
ECHO ----- P20JB\FIRES Compile DUNGEON.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES DUNGEON.C  >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES DUNGEON.C  >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile MENUDRAW.C
ECHO ----- P20JB\FIRES Compile MENUDRAW.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES MENUDRAW.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES MENUDRAW.C   >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile GAMELOOP.C
ECHO ----- P20JB\FIRES Compile GAMELOOP.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES GAMELOOP.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES GAMELOOP.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile ENDGAME.C
ECHO ----- P20JB\FIRES Compile ENDGAME.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES ENDGAME.C  >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES ENDGAME.C  >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile COMMAND.C
ECHO ----- P20JB\FIRES Compile COMMAND.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES COMMAND.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES COMMAND.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile GROUP.C
ECHO ----- P20JB\FIRES Compile GROUP.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES GROUP.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES GROUP.C    >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile MEMORY.C
ECHO ----- P20JB\FIRES Compile MEMORY.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES MEMORY.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES MEMORY.C   >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile LOADSAVE.C
ECHO ----- P20JB\FIRES Compile LOADSAVE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES LOADSAVE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES LOADSAVE.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile OBJECT.C
ECHO ----- P20JB\FIRES Compile OBJECT.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES OBJECT.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES OBJECT.C   >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile ENTRANCE.C
ECHO ----- P20JB\FIRES Compile ENTRANCE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES ENTRANCE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES ENTRANCE.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile MENU.C
ECHO ----- P20JB\FIRES Compile MENU.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES MENU.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES MENU.C   >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile CHAMPION.C
ECHO ----- P20JB\FIRES Compile CHAMPION.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES CHAMPION.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES CHAMPION.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile DUNVIEW.C
ECHO ----- P20JB\FIRES Compile DUNVIEW.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES DUNVIEW.C  >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES DUNVIEW.C  >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile CHAMDRAW.C
ECHO ----- P20JB\FIRES Compile CHAMDRAW.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES CHAMDRAW.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES CHAMDRAW.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile REVIVE.C
ECHO ----- P20JB\FIRES Compile REVIVE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES REVIVE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES REVIVE.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile MOVESENS.C
ECHO ----- P20JB\FIRES Compile MOVESENS.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES MOVESENS.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES MOVESENS.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile COORD.C
ECHO ----- P20JB\FIRES Compile COORD.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES COORD.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES COORD.C    >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile SOUND.C
ECHO ----- P20JB\FIRES Compile SOUND.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES SOUND.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES SOUND.C    >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile STARTUP2.C
ECHO ----- P20JB\FIRES Compile STARTUP2.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=93 -n\OBJECT\P20JB\FIRES STARTUP2.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES STARTUP2.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile DATA.C
ECHO ----- P20JB\FIRES Compile DATA.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=93 -n\OBJECT\P20JB\FIRES DATA.C     >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES DATA.C     >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile FLOPPY.C
ECHO ----- P20JB\FIRES Compile FLOPPY.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=93 -n\OBJECT\P20JB\FIRES FLOPPY.C  >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES FLOPPY.C  >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile TEXT.C
ECHO ----- P20JB\FIRES Compile TEXT.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES TEXT.C     >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES TEXT.C     >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile TIMELINE.C
ECHO ----- P20JB\FIRES Compile TIMELINE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES TIMELINE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES TIMELINE.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile BASE.C
ECHO ----- P20JB\FIRES Compile BASE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=93 -n\OBJECT\P20JB\FIRES BASE.C     >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES BASE.C     >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile PANEL.C
ECHO ----- P20JB\FIRES Compile PANEL.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES PANEL.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES PANEL.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile CLIKVIEW.C
ECHO ----- P20JB\FIRES Compile CLIKVIEW.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES CLIKVIEW.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES CLIKVIEW.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile CLIKMENU.C
ECHO ----- P20JB\FIRES Compile CLIKMENU.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES CLIKMENU.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES CLIKMENU.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile STRING.C
ECHO ----- P20JB\FIRES Compile STRING.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES STRING.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES STRING.C   >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile IMAGE.C
ECHO ----- P20JB\FIRES Compile IMAGE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=93 -n\OBJECT\P20JB\FIRES IMAGE.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES IMAGE.C    >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile IO.C
ECHO ----- P20JB\FIRES Compile IO.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=93 -n\OBJECT\P20JB\FIRES IO.C       >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES IO.C       >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile BLTSHRNK.C
ECHO ----- P20JB\FIRES Compile BLTSHRNK.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES BLTSHRNK.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES BLTSHRNK.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile BLITMASK.C
ECHO ----- P20JB\FIRES Compile BLITMASK.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES BLITMASK.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES BLITMASK.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile BLITFILL.C
ECHO ----- P20JB\FIRES Compile BLITFILL.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=93 -n\OBJECT\P20JB\FIRES BLITFILL.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES BLITFILL.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile JAPANESE.C
ECHO ----- P20JB\FIRES Compile JAPANESE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=93 -n\OBJECT\P20JB\FIRES JAPANESE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES JAPANESE.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compile MUSIC.C
ECHO ----- P20JB\FIRES Compile MUSIC.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=93 -n\OBJECT\P20JB\FIRES MUSIC.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=93 -n\OBJECT\P20JB\FIRES MUSIC.C    >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Link
ECHO ----- P20JB\FIRES Link>>\BUILD\MKIP.LOG
CD \OBJECT\P20JB\FIRES
TLINK.EXE /s \OBJECT\P20JB\FIRES\C0L.OBJ @\SOURCE\P20JBP31.LNK \TC20\LIB\CL.LIB,\BUILD\P20JB\FIRES.EXE,\BUILD\P20JB\FIRES.MAP >>\BUILD\MKIP.LOG
ECHO ----- P20JB\FIRES Compress
ECHO ----- P20JB\FIRES Compress>>\BUILD\MKIP.LOG
CD \BUILD\P20JB
LZEXE.EXE FIRES.EXE >>\BUILD\MKIP.LOG
REN FIRES.EXE FIRES
CD \SOURCE

:CSLIB
IF EXIST \SOURCE\EXEID87.TXT SET CSLIB=TRUE
IF EXIST \SOURCE\EXEID92.TXT SET CSLIB=TRUE
IF EXIST \SOURCE\EXEID99.TXT SET CSLIB=TRUE
IF NOT %CSLIB%==TRUE GOTO EXEID87
ECHO ----------------------------------------------------------------------
ECHO - Make custom library CS.LIB
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Make custom library CS.LIB>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
:: DMSTART3.EXE, DMSTART4.EXE and CSB.EXE were compiled with a version of Turbo C 2.0 for PC-9801.
:: The CS.LIB library supplied with Turbo C 2.0 for PC-9801 contains all the necessary object files
:: except for MALLOC which is not the same as the one linked into the executables. However, it is
:: the same as the one from Turbo C 2.0 for PC. Until the exact version is found, the following
:: commands will build a custom CS.LIB library where the MALLOC.OBJ file is replaced by the PC
:: version. All modules are extracted and added to a new custom library to ensure that the linker
:: links the modules in the same order as in the original.
CD \OBJECT
REM Extract all object files except MALLOC from Turbo C 2.0 for PC98 CS.LIB
TLIB.EXE \TC20PC98\LIB\CS.LIB @\SOURCE\CSLIBEXT.txt
REM Extract MALLOC object file from Turbo C 2.0 for PC CS.LIB
TLIB.EXE \TC20\LIB\CS.LIB *MALLOC
REM Create a new CS.LIB with modules in the same order as in the original Turbo C 2.0 for PC98 CS.LIB
TLIB.EXE \OBJECT\P20JA\DMSTART3.EXE\CS.LIB @\SOURCE\CSLIBADD.txt
REM Delete all extracted modules
DEL *.OBJ
CD \SOURCE

:EXEID87
IF NOT EXIST \SOURCE\EXEID87.TXT GOTO EXEID92
ECHO ----------------------------------------------------------------------
ECHO - Build executable P20JA\DMSTART3.EXE
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P20JA\DMSTART3.EXE>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P20JA\DMSTART3.EXE Compile DMSTART.C
ECHO ----- P20JA\DMSTART3.EXE Compile DMSTART.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ms -B -DEXEID=87 -n\OBJECT\P20JA\DMSTART3.EXE DMSTART.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ms    -DEXEID=87 -n\OBJECT\P20JA\DMSTART3.EXE DMSTART.C >>\BUILD\MKIP.LOG
ECHO ----- P20JA\DMSTART3.EXE Link
ECHO ----- P20JA\DMSTART3.EXE Link>>\BUILD\MKIP.LOG
CD \OBJECT\P20JA\DMSTART3.EXE
TLINK.EXE /s \TC20PC98\LIB\C0S.OBJ DMSTART.OBJ \OBJECT\P20JA\DMSTART3.EXE\CS.LIB,\BUILD\P20JA\DMSTART3.EXE,\BUILD\P20JA\DMSTART3.MAP >>\BUILD\MKIP.LOG
CD \SOURCE

:EXEID92
IF NOT EXIST \SOURCE\EXEID92.TXT GOTO EXEID99
ECHO ----------------------------------------------------------------------
ECHO - Build executable P20JB\DMSTART4.EXE
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P20JB\DMSTART4.EXE>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P20JB\DMSTART4.EXE Compile DMSTART.C
ECHO ----- P20JB\DMSTART4.EXE Compile DMSTART.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ms -B -DEXEID=92 -n\OBJECT\P20JB\DMSTART4.EXE DMSTART.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ms    -DEXEID=92 -n\OBJECT\P20JB\DMSTART4.EXE DMSTART.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\DMSTART4.EXE Link
ECHO ----- P20JB\DMSTART4.EXE Link>>\BUILD\MKIP.LOG
CD \OBJECT\P20JB\DMSTART4.EXE
TLINK.EXE /s \TC20PC98\LIB\C0S.OBJ DMSTART.OBJ \OBJECT\P20JA\DMSTART3.EXE\CS.LIB,\BUILD\P20JB\DMSTART4.EXE,\BUILD\P20JB\DMSTART4.MAP >>\BUILD\MKIP.LOG
CD \SOURCE

:EXEID99
IF NOT EXIST \SOURCE\EXEID99.TXT GOTO EXEID97
ECHO ----------------------------------------------------------------------
ECHO - Build executable P31J\CSB.EXE
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P31J\CSB.EXE>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P31J\CSB.EXE Compile DMSTART.C
ECHO ----- P31J\CSB.EXE Compile DMSTART.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ms -B -DEXEID=99 -n\OBJECT\P31J\CSB.EXE DMSTART.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ms    -DEXEID=99 -n\OBJECT\P31J\CSB.EXE DMSTART.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSB.EXE Link
ECHO ----- P31J\CSB.EXE Link>>\BUILD\MKIP.LOG
CD \OBJECT\P31J\CSB.EXE
TLINK.EXE /s \TC20PC98\LIB\C0S.OBJ DMSTART.OBJ \OBJECT\P20JA\DMSTART3.EXE\CS.LIB,\BUILD\P31J\CSB.EXE,\BUILD\P31J\CSB.MAP >>\BUILD\MKIP.LOG
CD \SOURCE


:EXEID97
IF NOT EXIST \SOURCE\EXEID97.TXT GOTO EXEID104
ECHO ----------------------------------------------------------------------
ECHO - Build executable P20JB\SWOOSH
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P20JB\SWOOSH>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P20JB\SWOOSH Compile SWSH.C
ECHO ----- P20JB\SWOOSH Compile SWSH.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=97 -n\OBJECT\P20JB\SWOOSH SWSH.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G    -DEXEID=97 -n\OBJECT\P20JB\SWOOSH SWSH.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\SWOOSH Link
ECHO ----- P20JB\SWOOSH Link>>\BUILD\MKIP.LOG
CD \OBJECT\P20JB\SWOOSH
TLINK.EXE /i /s \OBJECT\P20JB\FIRES\C0L.OBJ SWSH.OBJ \TC20\LIB\CL.LIB,\BUILD\P20JB\SWOOSH.EXE,\BUILD\P20JB\SWOOSH.MAP >>\BUILD\MKIP.LOG
ECHO ----- P20JB\SWOOSH Compress
ECHO ----- P20JB\SWOOSH Compress>>\BUILD\MKIP.LOG
CD \BUILD\P20JB
LZEXE.EXE SWOOSH.EXE >>\BUILD\MKIP.LOG
REN SWOOSH.EXE SWOOSH
CD \SOURCE

:EXEID104
SET PATH=\TC20;\TASM20;\LZEXE91

ECHO ----------------------------------------------------------------------
ECHO - Prepare shared components
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Prepare shared components>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P31J Assemble C0L.OBJ
ECHO ----- P31J Assemble C0L.OBJ>>\BUILD\MKIP.LOG
COPY \TC20\EMUVARS.ASI EMUVARS.ASI >>\BUILD\MKIP.LOG
COPY \TC20\RULES.ASI RULES.ASI >>\BUILD\MKIP.LOG
TASM.EXE /d__LARGE__ /d__NOFLOAT__ /d__NOCLOCK__ /mx C0_20c_B.ASM,\OBJECT\P31J\NEC8\C0L.OBJ >>\BUILD\MKIP.LOG

IF NOT EXIST \SOURCE\EXEID104.TXT GOTO EXEID103
ECHO ----------------------------------------------------------------------
ECHO - Build executable P31J\NEC8
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P31J\NEC8>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P31J\NEC8 Compile NEC816.C
ECHO ----- P31J\NEC8 Compile NEC816.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -k -DEXEID=104 -n\OBJECT\P31J\NEC8 NEC816.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G    -k -DEXEID=104 -n\OBJECT\P31J\NEC8 NEC816.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\NEC8 Link
ECHO ----- P31J\NEC8 Link>>\BUILD\MKIP.LOG
CD \OBJECT\P31J\NEC8
TLINK.EXE /s \OBJECT\P31J\NEC8\C0L.OBJ NEC816.OBJ \TC20\LIB\CL.LIB,\BUILD\P31J\NEC8.EXE,\BUILD\P31J\NEC8.MAP >>\BUILD\MKIP.LOG
ECHO ----- P31J\NEC8 Compress
ECHO ----- P31J\NEC8 Compress>>\BUILD\MKIP.LOG
CD \BUILD\P31J
LZEXE.EXE NEC8.EXE >>\BUILD\MKIP.LOG
REN NEC8.EXE NEC8
CD \SOURCE

:EXEID103
IF NOT EXIST \SOURCE\EXEID103.TXT GOTO EXEID105
ECHO ----------------------------------------------------------------------
ECHO - Build executable P31J\NEC16
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P31J\NEC16>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P31J\NEC16 Compile NEC816.C
ECHO ----- P31J\NEC16 Compile NEC816.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=103 -n\OBJECT\P31J\NEC16 NEC816.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G    -DEXEID=103 -n\OBJECT\P31J\NEC16 NEC816.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\NEC16 Link
ECHO ----- P31J\NEC16 Link>>\BUILD\MKIP.LOG
CD \OBJECT\P31J\NEC16
TLINK.EXE /s \OBJECT\P31J\NEC8\C0L.OBJ NEC816.OBJ \TC20\LIB\CL.LIB,\BUILD\P31J\NEC16.EXE,\BUILD\P31J\NEC16.MAP >>\BUILD\MKIP.LOG
ECHO ----- P31J\NEC16 Compress
ECHO ----- P31J\NEC16 Compress>>\BUILD\MKIP.LOG
CD \BUILD\P31J
LZEXE.EXE NEC16.EXE >>\BUILD\MKIP.LOG
REN NEC16.EXE NEC16
CD \SOURCE

:EXEID105
IF NOT EXIST \SOURCE\EXEID105.TXT GOTO EXEID102
ECHO ----------------------------------------------------------------------
ECHO - Build executable P31J\NECIO
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P31J\NECIO>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P31J\NECIO Assemble NECIOASM.ASM
ECHO ----- P31J\NECIO Assemble NECIOASM.ASM>>\BUILD\MKIP.LOG
TASM.EXE -DEXEID=105 NECIOASM.ASM,\OBJECT\P31J\NECIO\NECIOASM.OBJ >>\BUILD\MKIP.LOG
ECHO ----- P31J\NECIO Compile NECIO.C
ECHO ----- P31J\NECIO Compile NECIO.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=105 -n\OBJECT\P31J\NECIO NECIO.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G    -DEXEID=105 -n\OBJECT\P31J\NECIO NECIO.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\NECIO Link
ECHO ----- P31J\NECIO Link>>\BUILD\MKIP.LOG
CD \OBJECT\P31J\NECIO
TLINK.EXE /s \OBJECT\P31J\NEC8\C0L.OBJ NECIOASM.OBJ NECIO.OBJ \TC20\LIB\CL.LIB,\BUILD\P31J\NECIO.EXE,\BUILD\P31J\NECIO.MAP >>\BUILD\MKIP.LOG
ECHO ----- P31J\NECIO Compress
ECHO ----- P31J\NECIO Compress>>\BUILD\MKIP.LOG
CD \BUILD\P31J
LZEXE.EXE NECIO.EXE >>\BUILD\MKIP.LOG
REN NECIO.EXE NECIO
CD \SOURCE

:EXEID102
IF NOT EXIST \SOURCE\EXEID102.TXT GOTO EXEID98
ECHO ----------------------------------------------------------------------
ECHO - Build executable P31J\FIRES
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P31J\FIRES>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P31J\FIRES Compile SWITCHDA.C
ECHO ----- P31J\FIRES Compile SWITCHDA.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -k -DEXEID=102 -n\OBJECT\P31J\FIRES SWITCHDA.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G    -k -DEXEID=102 -n\OBJECT\P31J\FIRES SWITCHDA.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\FIRES Compile SWITCH.C
ECHO ----- P31J\FIRES Compile SWITCH.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -k -DEXEID=102 -n\OBJECT\P31J\FIRES SWITCH.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G    -k -DEXEID=102 -n\OBJECT\P31J\FIRES SWITCH.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\FIRES Link
ECHO ----- P31J\FIRES Link>>\BUILD\MKIP.LOG
CD \OBJECT\P31J\FIRES
TLINK.EXE /s \OBJECT\P31J\NEC8\C0L.OBJ SWITCHDA.OBJ SWITCH.OBJ \TC20\LIB\CL.LIB,\BUILD\P31J\FIRES.EXE,\BUILD\P31J\FIRES.MAP >>\BUILD\MKIP.LOG
ECHO ----- P31J\FIRES Compress
ECHO ----- P31J\FIRES Compress>>\BUILD\MKIP.LOG
CD \BUILD\P31J
LZEXE.EXE FIRES.EXE >>\BUILD\MKIP.LOG
REN FIRES.EXE FIRES
CD \SOURCE

:EXEID98
IF NOT EXIST \SOURCE\EXEID98.TXT GOTO EXEID100
ECHO ----------------------------------------------------------------------
ECHO - Build executable P31J\ANIM
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P31J\ANIM>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P31J\ANIM Compile ANIM.C
ECHO ----- P31J\ANIM Compile ANIM.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -k -DEXEID=98 -n\OBJECT\P31J\ANIM ANIM.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G    -k -DEXEID=98 -n\OBJECT\P31J\ANIM ANIM.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\ANIM Link
ECHO ----- P31J\ANIM Link>>\BUILD\MKIP.LOG
CD \OBJECT\P31J\ANIM
TLINK.EXE /s \OBJECT\P31J\NEC8\C0L.OBJ ANIM.OBJ \TC20\LIB\CL.LIB,\BUILD\P31J\ANIM.EXE,\BUILD\P31J\ANIM.MAP >>\BUILD\MKIP.LOG
ECHO ----- P31J\ANIM Compress
ECHO ----- P31J\ANIM Compress>>\BUILD\MKIP.LOG
CD \BUILD\P31J
LZEXE.EXE ANIM.EXE >>\BUILD\MKIP.LOG
REN ANIM.EXE ANIM
CD \SOURCE

:EXEID100
IF NOT EXIST \SOURCE\EXEID100.TXT GOTO EXEID101
ECHO ----------------------------------------------------------------------
ECHO - Build executable P31J\CSBGAME
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P31J\CSBGAME>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile PROJEXPL.C
ECHO ----- P31J\CSBGAME Compile PROJEXPL.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME PROJEXPL.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME PROJEXPL.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile DIALOG.C
ECHO ----- P31J\CSBGAME Compile DIALOG.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME DIALOG.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME DIALOG.C   >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile DUNGEON.C
ECHO ----- P31J\CSBGAME Compile DUNGEON.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME DUNGEON.C  >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME DUNGEON.C  >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile MENUDRAW.C
ECHO ----- P31J\CSBGAME Compile MENUDRAW.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME MENUDRAW.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME MENUDRAW.C   >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile GAMELOOP.C
ECHO ----- P31J\CSBGAME Compile GAMELOOP.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME GAMELOOP.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME GAMELOOP.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile ENDGAME.C
ECHO ----- P31J\CSBGAME Compile ENDGAME.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME ENDGAME.C  >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME ENDGAME.C  >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile COMMAND.C
ECHO ----- P31J\CSBGAME Compile COMMAND.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME COMMAND.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME COMMAND.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile GROUP.C
ECHO ----- P31J\CSBGAME Compile GROUP.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME GROUP.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME GROUP.C    >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile MEMORY.C
ECHO ----- P31J\CSBGAME Compile MEMORY.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME MEMORY.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME MEMORY.C   >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile LOADSAVE.C
ECHO ----- P31J\CSBGAME Compile LOADSAVE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME LOADSAVE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME LOADSAVE.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile OBJECT.C
ECHO ----- P31J\CSBGAME Compile OBJECT.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME OBJECT.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME OBJECT.C   >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile ENTRANCE.C
ECHO ----- P31J\CSBGAME Compile ENTRANCE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME ENTRANCE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME ENTRANCE.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile MENU.C
ECHO ----- P31J\CSBGAME Compile MENU.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME MENU.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME MENU.C   >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile CHAMPION.C
ECHO ----- P31J\CSBGAME Compile CHAMPION.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME CHAMPION.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME CHAMPION.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile DUNVIEW.C
ECHO ----- P31J\CSBGAME Compile DUNVIEW.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME DUNVIEW.C  >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME DUNVIEW.C  >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile CHAMDRAW.C
ECHO ----- P31J\CSBGAME Compile CHAMDRAW.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME CHAMDRAW.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME CHAMDRAW.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile REVIVE.C
ECHO ----- P31J\CSBGAME Compile REVIVE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME REVIVE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME REVIVE.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile MOVESENS.C
ECHO ----- P31J\CSBGAME Compile MOVESENS.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME MOVESENS.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME MOVESENS.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile COORD.C
ECHO ----- P31J\CSBGAME Compile COORD.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME COORD.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME COORD.C    >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile SOUND.C
ECHO ----- P31J\CSBGAME Compile SOUND.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME SOUND.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME SOUND.C    >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile STARTUP2.C
ECHO ----- P31J\CSBGAME Compile STARTUP2.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=100 -n\OBJECT\P31J\CSBGAME STARTUP2.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME STARTUP2.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile DATA.C
ECHO ----- P31J\CSBGAME Compile DATA.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=100 -n\OBJECT\P31J\CSBGAME DATA.C     >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME DATA.C     >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile FLOPPY.C
ECHO ----- P31J\CSBGAME Compile FLOPPY.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=100 -n\OBJECT\P31J\CSBGAME FLOPPY.C  >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME FLOPPY.C  >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile TEXT.C
ECHO ----- P31J\CSBGAME Compile TEXT.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME TEXT.C     >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME TEXT.C     >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile TIMELINE.C
ECHO ----- P31J\CSBGAME Compile TIMELINE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME TIMELINE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME TIMELINE.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile BASE.C
ECHO ----- P31J\CSBGAME Compile BASE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=100 -n\OBJECT\P31J\CSBGAME BASE.C     >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME BASE.C     >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile PANEL.C
ECHO ----- P31J\CSBGAME Compile PANEL.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME PANEL.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME PANEL.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile CLIKVIEW.C
ECHO ----- P31J\CSBGAME Compile CLIKVIEW.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME CLIKVIEW.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME CLIKVIEW.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile CLIKMENU.C
ECHO ----- P31J\CSBGAME Compile CLIKMENU.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME CLIKMENU.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME CLIKMENU.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile STRING.C
ECHO ----- P31J\CSBGAME Compile STRING.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME STRING.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME STRING.C   >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile IMAGE.C
ECHO ----- P31J\CSBGAME Compile IMAGE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=100 -n\OBJECT\P31J\CSBGAME IMAGE.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME IMAGE.C    >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile IO.C
ECHO ----- P31J\CSBGAME Compile IO.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=100 -n\OBJECT\P31J\CSBGAME IO.C       >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME IO.C       >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile BLTSHRNK.C
ECHO ----- P31J\CSBGAME Compile BLTSHRNK.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME BLTSHRNK.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME BLTSHRNK.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile BLITMASK.C
ECHO ----- P31J\CSBGAME Compile BLITMASK.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME BLITMASK.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME BLITMASK.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile BLITFILL.C
ECHO ----- P31J\CSBGAME Compile BLITFILL.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME BLITFILL.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME BLITFILL.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile JAPANESE.C
ECHO ----- P31J\CSBGAME Compile JAPANESE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=100 -n\OBJECT\P31J\CSBGAME JAPANESE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME JAPANESE.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compile MUSIC.C
ECHO ----- P31J\CSBGAME Compile MUSIC.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=100 -n\OBJECT\P31J\CSBGAME MUSIC.C    >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=100 -n\OBJECT\P31J\CSBGAME MUSIC.C    >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Link
ECHO ----- P31J\CSBGAME Link>>\BUILD\MKIP.LOG
CD \OBJECT\P31J\CSBGAME
TLINK.EXE /s \OBJECT\P31J\NEC8\C0L.OBJ @\SOURCE\P20JBP31.LNK \TC20\LIB\CL.LIB,\BUILD\P31J\CSBGAME.EXE,\BUILD\P31J\CSBGAME.MAP >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBGAME Compress
ECHO ----- P31J\CSBGAME Compress>>\BUILD\MKIP.LOG
CD \BUILD\P31J
LZEXE.EXE CSBGAME.EXE >>\BUILD\MKIP.LOG
REN CSBGAME.EXE CSBGAME
CD \SOURCE

:EXEID101
IF NOT EXIST \SOURCE\EXEID101.TXT GOTO EXEID95
ECHO ----------------------------------------------------------------------
ECHO - Build executable P31J\CSBUTIL
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P31J\CSBUTIL>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDTDATA.C
ECHO ----- P31J\CSBUTIL Compile CEDTDATA.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDTDATA.C   >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDTDATA.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT001.C
ECHO ----- P31J\CSBUTIL Compile CEDT001.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT001.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT001.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT002.C
ECHO ----- P31J\CSBUTIL Compile CEDT002.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT002.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT002.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile COMMAND.C
ECHO ----- P31J\CSBUTIL Compile COMMAND.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL COMMAND.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL COMMAND.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT004.C
ECHO ----- P31J\CSBUTIL Compile CEDT004.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT004.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT004.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT005.C
ECHO ----- P31J\CSBUTIL Compile CEDT005.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT005.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT005.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT006.C
ECHO ----- P31J\CSBUTIL Compile CEDT006.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT006.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT006.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT007.C
ECHO ----- P31J\CSBUTIL Compile CEDT007.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT007.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT007.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT008.C
ECHO ----- P31J\CSBUTIL Compile CEDT008.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT008.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT008.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile STRING.C
ECHO ----- P31J\CSBUTIL Compile STRING.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL STRING.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL STRING.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT010.C
ECHO ----- P31J\CSBUTIL Compile CEDT010.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT010.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT010.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT011.C
ECHO ----- P31J\CSBUTIL Compile CEDT011.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT011.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT011.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT012.C
ECHO ----- P31J\CSBUTIL Compile CEDT012.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT012.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT012.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT013.C
ECHO ----- P31J\CSBUTIL Compile CEDT013.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT013.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT013.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT014.C
ECHO ----- P31J\CSBUTIL Compile CEDT014.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT014.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT014.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile UTMEMORY.C
ECHO ----- P31J\CSBUTIL Compile UTMEMORY.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL UTMEMORY.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL UTMEMORY.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT016.C
ECHO ----- P31J\CSBUTIL Compile CEDT016.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT016.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT016.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT017.C
ECHO ----- P31J\CSBUTIL Compile CEDT017.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT017.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT017.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT018.C
ECHO ----- P31J\CSBUTIL Compile CEDT018.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT018.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT018.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT019.C
ECHO ----- P31J\CSBUTIL Compile CEDT019.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT019.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT019.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT020.C
ECHO ----- P31J\CSBUTIL Compile CEDT020.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT020.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT020.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT021.C
ECHO ----- P31J\CSBUTIL Compile CEDT021.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT021.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT021.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT022.C
ECHO ----- P31J\CSBUTIL Compile CEDT022.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT022.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT022.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT023.C
ECHO ----- P31J\CSBUTIL Compile CEDT023.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT023.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT023.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CPCLRBYT.C
ECHO ----- P31J\CSBUTIL Compile CPCLRBYT.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CPCLRBYT.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CPCLRBYT.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT025.C
ECHO ----- P31J\CSBUTIL Compile CEDT025.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT025.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT025.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT026.C
ECHO ----- P31J\CSBUTIL Compile CEDT026.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT026.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT026.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT027.C
ECHO ----- P31J\CSBUTIL Compile CEDT027.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT027.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT027.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT028.C
ECHO ----- P31J\CSBUTIL Compile CEDT028.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT028.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT028.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT029.C
ECHO ----- P31J\CSBUTIL Compile CEDT029.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT029.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT029.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile CEDT030.C
ECHO ----- P31J\CSBUTIL Compile CEDT030.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G    -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT030.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL CEDT030.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compile JAPANESE.C
ECHO ----- P31J\CSBUTIL Compile JAPANESE.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=101 -n\OBJECT\P31J\CSBUTIL JAPANESE.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G -DEXEID=101 -n\OBJECT\P31J\CSBUTIL JAPANESE.C >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Link
ECHO ----- P31J\CSBUTIL Link>>\BUILD\MKIP.LOG
CD \OBJECT\P31J\CSBUTIL
TLINK.EXE /s \OBJECT\P31J\NEC8\C0L.OBJ @\SOURCE\CSBUTIL.LNK \TC20\LIB\CL.LIB,\BUILD\P31J\CSBUTIL.EXE,\BUILD\P31J\CSBUTIL.MAP >>\BUILD\MKIP.LOG
ECHO ----- P31J\CSBUTIL Compress
ECHO ----- P31J\CSBUTIL Compress>>\BUILD\MKIP.LOG
CD \BUILD\P31J
LZEXE.EXE CSBUTIL.EXE >>\BUILD\MKIP.LOG
REN CSBUTIL.EXE CSBUTIL
CD \SOURCE

:EXEID95
SET PATH=\TCPP101\BIN;\TASM20;\LZEXE91

ECHO ----------------------------------------------------------------------
ECHO - Prepare shared components
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Prepare shared components>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P20JB Assemble C0L_NEC.OBJ
ECHO ----- P20JB Assemble C0L_NEC.OBJ>>\BUILD\MKIP.LOG
COPY \TCPP101\EXAMPLES\STARTUP\RULES.ASI RULES.ASI >>\BUILD\MKIP.LOG
TASM.EXE /d__LARGE__ /mx C0_101.ASM,\OBJECT\P20JB\NEC8\C0L_NEC.OBJ >>\BUILD\MKIP.LOG

IF NOT EXIST \SOURCE\EXEID95.TXT GOTO EXEID94
ECHO ----------------------------------------------------------------------
ECHO - Build executable P20JB\NEC8
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P20JB\NEC8>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P20JB\NEC8 Compile NEC816.C
ECHO ----- P20JB\NEC8 Compile NEC816.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=95 -n\OBJECT\P20JB\NEC8 NEC816.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G    -DEXEID=95 -n\OBJECT\P20JB\NEC8 NEC816.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\NEC8 Link
ECHO ----- P20JB\NEC8 Link>>\BUILD\MKIP.LOG
CD \OBJECT\P20JB\NEC8
TLINK.EXE /i /s \OBJECT\P20JB\NEC8\C0L_NEC.OBJ NEC816.OBJ \TCPP101\LIB\CL.LIB,\BUILD\P20JB\NEC8.EXE,\BUILD\P20JB\NEC8.MAP >>\BUILD\MKIP.LOG
ECHO ----- P20JB\NEC8 Compress
ECHO ----- P20JB\NEC8 Compress>>\BUILD\MKIP.LOG
CD \BUILD\P20JB
LZEXE.EXE NEC8.EXE >>\BUILD\MKIP.LOG
REN NEC8.EXE NEC8
CD \SOURCE

:EXEID94
IF NOT EXIST \SOURCE\EXEID94.TXT GOTO EXEID96
ECHO ----------------------------------------------------------------------
ECHO - Build executable P20JB\NEC16
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P20JB\NEC16>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P20JB\NEC16 Compile NEC816.C
ECHO ----- P20JB\NEC16 Compile NEC816.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=94 -n\OBJECT\P20JB\NEC16 NEC816.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G    -DEXEID=94 -n\OBJECT\P20JB\NEC16 NEC816.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\NEC16 Link
ECHO ----- P20JB\NEC16 Link>>\BUILD\MKIP.LOG
CD \OBJECT\P20JB\NEC16
TLINK.EXE /i /s \OBJECT\P20JB\NEC8\C0L_NEC.OBJ NEC816.OBJ \TCPP101\LIB\CL.LIB,\BUILD\P20JB\NEC16.EXE,\BUILD\P20JB\NEC16.MAP >>\BUILD\MKIP.LOG
ECHO ----- P20JB\NEC16 Compress
ECHO ----- P20JB\NEC16 Compress>>\BUILD\MKIP.LOG
CD \BUILD\P20JB
LZEXE.EXE NEC16.EXE >>\BUILD\MKIP.LOG
REN NEC16.EXE NEC16
CD \SOURCE

:EXEID96
IF NOT EXIST \SOURCE\EXEID96.TXT GOTO END
ECHO ----------------------------------------------------------------------
ECHO - Build executable P20JB\NECIO
ECHO ----------------------------------------------------------------------
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO - Build executable P20JB\NECIO>>\BUILD\MKIP.LOG
ECHO ---------------------------------------------------------------------->>\BUILD\MKIP.LOG
ECHO ----- P20JB\NECIO Assemble NECIOASM.ASM
ECHO ----- P20JB\NECIO Assemble NECIOASM.ASM>>\BUILD\MKIP.LOG
TASM.EXE -DEXEID=96 NECIOASM.ASM,\OBJECT\P20JB\NECIO\NECIOASM.OBJ >>\BUILD\MKIP.LOG
ECHO ----- P20JB\NECIO Compile NECIO.C
ECHO ----- P20JB\NECIO Compile NECIO.C>>\BUILD\MKIP.LOG
TCC.EXE -c -ml -Z -O -G -B -DEXEID=96 -n\OBJECT\P20JB\NECIO NECIO.C >>\BUILD\MKIP.LOG
IF EXIST \SOURCE\ASSEMBLY.TXT TCC.EXE -S -ml -Z -O -G    -DEXEID=96 -n\OBJECT\P20JB\NECIO NECIO.C >>\BUILD\MKIP.LOG
ECHO ----- P20JB\NECIO Link
ECHO ----- P20JB\NECIO Link>>\BUILD\MKIP.LOG
CD \OBJECT\P20JB\NECIO
TLINK.EXE /i /s \OBJECT\P20JB\NEC8\C0L_NEC.OBJ NECIOASM.OBJ NECIO.OBJ \TCPP101\LIB\CL.LIB,\BUILD\P20JB\NECIO.EXE,\BUILD\P20JB\NECIO.MAP >>\BUILD\MKIP.LOG
ECHO ----- P20JB\NECIO Compress
ECHO ----- P20JB\NECIO Compress>>\BUILD\MKIP.LOG
CD \BUILD\P20JB
LZEXE.EXE NECIO.EXE >>\BUILD\MKIP.LOG
REN NECIO.EXE NECIO

:END
CD \

ECHO +====================================================================+
ECHO + Build complete                                                     +
ECHO +====================================================================+
ECHO +====================================================================+>>\BUILD\MKIP.LOG
ECHO + Build complete                                                     +>>\BUILD\MKIP.LOG
ECHO +====================================================================+>>\BUILD\MKIP.LOG
